# Class TCefCookieAccessFilterOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFCookieAccessFilter

## Declaration

`type TCefCookieAccessFilterOwn = class(TCefBaseRefCountedOwn, ICefCookieAccessFilter)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefCookieAccessFilterOwn

## Overview

### Methods

| `function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; virtual;`
| `function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; virtual;`
| `procedure RemoveReferences; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `function CanSendCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const cookie: PCefCookie): boolean; virtual;`
This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSendCookie. Called on the IO thread before a resource request is sent. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie can be sent with the request or false (0) otherwise.

| `function CanSaveCookie(const browser: ICefBrowser; const frame: ICefFrame; const request: ICefRequest; const response: ICefResponse; const cookie: PCefCookie): boolean; virtual;`
This item has no description. Showing description inherited from ICefCookieAccessFilter.CanSaveCookie. Called on the IO thread after a resource response is received. The |browser| and |frame| values represent the source of the request, and may be NULL for requests originating from service workers or ICefUrlRequest. |request| cannot be modified in this callback. Return true (1) if the specified cookie returned with the response can be saved or false (0) otherwise.

| `procedure RemoveReferences; virtual;`
This item has no description. Showing description inherited from ICefCookieAccessFilter.RemoveReferences. Custom procedure to clear all references.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.